Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006437opensim[REGION] Physics Enginespublic2012-11-17 03:152014-07-29 13:41
ReporterGarmin Kawaguichi 
Assigned ToRobert Adams 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target VersionFixed in Versionmaster (dev code) 
Summary0006437: Unsitting an avatar, the (physical) prim falls below SurfacePatch
DescriptionWhen an avatar is sat on a prim with the status = physical ans the avatar is unsat clicking on StandUp, the prim falls at 1.25m through the SurfacePatch.

If the STATUS_PHYSICS is set to FALSE using the changed event, the prim remains at the surface (trivial)

With ODE the prim remains always on the terrain surface.
Steps To ReproducePut the script in a prim 2m above the terrain surface; sit on it and standup

{
    If someone does not know how to retrieve the object
    Advanced :: Rendering :: Types => Uncheck SurfacePatch and Water
}
Additional Informationvector vSitPos = <0.0, 0.0, 0.8>;
key kAvat;

default
{
    state_entry()
    {
        llSetStatus(STATUS_PHYSICS, FALSE);
        llSitTarget(vSitPos, ZERO_ROTATION);
    }
    

    changed(integer iChange)
    {
        if((iChange & CHANGED_LINK) == CHANGED_LINK)
        {
            kAvat = llAvatarOnSitTarget();
            if (kAvat != NULL_KEY)
            {
                llSetStatus(STATUS_PHYSICS, TRUE);
            }
        }
    }
}
TagsNo tags attached.
Git Revision or version number21064_55f889c_161112
Run Mode Standalone (Multiple Regions)
Physics EngineBulletSim
Environment.NET / Windows32
Mono VersionNone
Viewerany
Attached Files

- Relationships

-  Notes
(0023280)
Robert Adams (administrator)
2012-12-17 16:38

The simulator would make the prim non-physical but it would still be a vehicle. This created small window when the vehicle was non-physical but still "vehicle physical". This would allow the vehicle to fall to the ground plane (elevation 1). A few well placed 'if's made sure the vehicle is deactivated when the prim is made non-physical.

- Issue History
Date Modified Username Field Change
2012-11-17 03:15 Garmin Kawaguichi New Issue
2012-11-19 10:50 Robert Adams Assigned To => Robert Adams
2012-11-19 10:50 Robert Adams Status new => assigned
2012-12-17 16:38 Robert Adams Note Added: 0023280
2012-12-17 16:38 Robert Adams Status assigned => resolved
2012-12-17 16:38 Robert Adams Fixed in Version => master (dev code)
2012-12-17 16:38 Robert Adams Resolution open => fixed
2014-07-29 13:41 chi11ken Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker